
public class Class66_Sub1_Sub2 extends Class66_Sub1 {

   float method13033(float var1, float var2, float var3, int var4) {
      float var5 = var1 - this.aFloat8081;
      if(this.aClass35_629.method961(-1961755999).aFloat4036 == Float.POSITIVE_INFINITY) {
         var2 = this.aClass35_629.method926(2038525615).method5889();
      } else {
         float var6 = var2 / this.aClass35_629.method961(-1898156625).method5889();
         float var7 = var2 / 2.0F * var6;
         if(var7 > var5) {
            var2 -= this.aClass35_629.method961(-1976052132).method5889() * var3;
            if(var2 < 0.0F) {
               var2 = 0.0F;
            }
         } else if(var2 < this.aClass35_629.method926(-709737762).method5889()) {
            var2 += this.aClass35_629.method961(-2112879542).method5889() * var3;
            if(var2 > this.aClass35_629.method926(-2125715527).method5889()) {
               var2 = this.aClass35_629.method926(-1447096591).method5889();
            }
         }
      }

      return var2;
   }

   float method13037(float var1, float var2, float var3) {
      float var4 = var1 - this.aFloat8081;
      if(this.aClass35_629.method961(-1903955514).aFloat4036 == Float.POSITIVE_INFINITY) {
         var2 = this.aClass35_629.method926(623430680).method5889();
      } else {
         float var5 = var2 / this.aClass35_629.method961(-1936210876).method5889();
         float var6 = var2 / 2.0F * var5;
         if(var6 > var4) {
            var2 -= this.aClass35_629.method961(-2114265559).method5889() * var3;
            if(var2 < 0.0F) {
               var2 = 0.0F;
            }
         } else if(var2 < this.aClass35_629.method926(-562816154).method5889()) {
            var2 += this.aClass35_629.method961(-1913451534).method5889() * var3;
            if(var2 > this.aClass35_629.method926(1801509541).method5889()) {
               var2 = this.aClass35_629.method926(-282894687).method5889();
            }
         }
      }

      return var2;
   }

   float method13035(float var1, float var2, float var3) {
      float var4 = var1 - this.aFloat8081;
      if(this.aClass35_629.method961(-1971931301).aFloat4036 == Float.POSITIVE_INFINITY) {
         var2 = this.aClass35_629.method926(-455682450).method5889();
      } else {
         float var5 = var2 / this.aClass35_629.method961(-1968739870).method5889();
         float var6 = var2 / 2.0F * var5;
         if(var6 > var4) {
            var2 -= this.aClass35_629.method961(-2049133887).method5889() * var3;
            if(var2 < 0.0F) {
               var2 = 0.0F;
            }
         } else if(var2 < this.aClass35_629.method926(2056993035).method5889()) {
            var2 += this.aClass35_629.method961(-1878726002).method5889() * var3;
            if(var2 > this.aClass35_629.method926(-448709578).method5889()) {
               var2 = this.aClass35_629.method926(212408439).method5889();
            }
         }
      }

      return var2;
   }

   float method13036(float var1, float var2, float var3) {
      float var4 = var1 - this.aFloat8081;
      if(this.aClass35_629.method961(-2144041963).aFloat4036 == Float.POSITIVE_INFINITY) {
         var2 = this.aClass35_629.method926(-1765271531).method5889();
      } else {
         float var5 = var2 / this.aClass35_629.method961(-2055321917).method5889();
         float var6 = var2 / 2.0F * var5;
         if(var6 > var4) {
            var2 -= this.aClass35_629.method961(-1939289875).method5889() * var3;
            if(var2 < 0.0F) {
               var2 = 0.0F;
            }
         } else if(var2 < this.aClass35_629.method926(1542925286).method5889()) {
            var2 += this.aClass35_629.method961(-1951030985).method5889() * var3;
            if(var2 > this.aClass35_629.method926(1722696572).method5889()) {
               var2 = this.aClass35_629.method926(-1308816707).method5889();
            }
         }
      }

      return var2;
   }

   public Class66_Sub1_Sub2(Class35 var1) {
      super(var1);
   }
}
